Terminal Readers
4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/terminal-readersList all Terminal Readers
Returns a list of an Account's Terminal Readers. The Terminal Readers are sorted with the most recently created appearing first.
Query parameters
metadataobjectoptionalmetadatakey-value pairs to filter by. Only exact matches on the key-value pair(s) will be returned. Example:?metadata[internal_customer_id]=7cb1159d-875e-47ae-a309-319fa7ff395b.qstringoptionalThe partial search of text fields. Supports searching by
terminal_reader.description,terminal_reader.serial_number,terminal_reader.typeinclude_connected_accountsbooleanoptionalWhether or not to include the results from any connected accounts.
created_at_gtestring date-timeoptionalMinimum
created_atvalue to filter by (inclusive).created_at_ltestring date-timeoptionalMaximum
created_atvalue to filter by (inclusive).offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of TerminalReaderrequired
/v1/terminal-readers/{id}Get a Terminal Reader
Retrieves the details of an existing Terminal Reader.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200TerminalReader
account_idstringrequiredThe Account that owns this terminal reader.
created_atstring date-timerequiredTime at which the object was created.
descriptionstringoptionalThe merchant provided description of the terminal reader
idstringrequiredUnique identifier for the object.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
serial_numberstringoptionalThe serial number of the terminal reader.
settingsTerminalReaderSettingsoptionaltypestring (vl_100 | vl_100_pro | vl_110 | vl_550 | vp_500 | vp_550 | vp_550e)requiredThe type of the terminal reader.
updated_atstring date-timerequiredTime at which the object was last updated.
/v1/terminal-readers/{id}Update a Terminal Reader
Updates the Terminal Reader by setting the values of the provided parameters. Any parameters not provided will be left unchanged.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
descriptionstringoptionalmetadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e.
''ornull) to them. All keys can be unset by posting an empty value (i.e.{}ornull) tometadata.serial_numberstringoptionalsettingsTerminalReaderSettingsoptionalprint_receiptbooleanrequiredWhether or not to print a receipt.
tipping_enabledbooleanrequiredWhether or not tipping is enabled on the device
Update a Terminal Reader to enable tipping
{
"settings": {
"tipping_enabled": true,
"print_receipt": false
}
}Update a Terminal Reader to enable receipts
{
"settings": {
"tipping_enabled": false,
"print_receipt": true
}
}Responses
200TerminalReader
account_idstringrequiredThe Account that owns this terminal reader.
created_atstring date-timerequiredTime at which the object was created.
descriptionstringoptionalThe merchant provided description of the terminal reader
idstringrequiredUnique identifier for the object.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
serial_numberstringoptionalThe serial number of the terminal reader.
settingsTerminalReaderSettingsoptionaltypestring (vl_100 | vl_100_pro | vl_110 | vl_550 | vp_500 | vp_550 | vp_550e)requiredThe type of the terminal reader.
updated_atstring date-timerequiredTime at which the object was last updated.
/v1/terminal-readers/{id}/statusGet a Terminal Reader statusDeprecated
Retrieves the network connection status of an existing Terminal Reader.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200TerminalReaderConnectionStatus
connection_statusstring (online | offline)requiredThe connection status of the terminal reader.
idstringrequiredUnique identifier for the object.
